Bug 10745 - git-fetch exit status
: git-fetch exit status
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/git-core)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-01-31 10:43 by
Modified: 2007-02-18 04:54 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-01-31 10:43:24
$ git-fetch -u --no-tags cvs
fatal: no matching remote head
Fetch failure: .git/cvs/rsync/zsh
$ echo $?
0
$
------- Comment #1 From 2007-01-31 10:59:16 -------
--- /usr/bin/git-fetch-	2007-01-09 20:39:26 +0000
+++ /usr/bin/git-fetch	2007-01-31 07:58:34 +0000
@@ -415,6 +415,10 @@ fetch_main () {
 	  append_fetch_head "$sha1" "$remote" \
 		  "$remote_name" "$remote_nick" "$local_name" "$not_for_merge"
       done
+
+      # pipe exit status
+      [ $? = 0 ] || exit 1
+
       if [ "$pack_lockfile" ]; then rm -f "$pack_lockfile"; fi
     ) || exit ;;
   esac
------- Comment #2 From 2007-02-18 04:54:30 -------
Looks like fixed in 1.5.0